Message: $G4ANALYSIS_USE remains unset for a fresh Geant4.9.3 installation Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question $G4ANALYSIS_USE remains unset for a fresh Geant4.9.3 installation 

Forum: Installation and Configuration
Date: 15 Apr, 2010
From: Dragos Constantin <Dragos Constantin>

Dear All,

In geant4.9.2 the ./Configure -build procedure was asking about AIDA and its location. In geant4.9.3 there is no trace of data analysis in the configuration script which cause the $G4ANALYSIS_USE environment variable to remain unset.

The way around this was to edit the configure file, env.sh, and add the following lines immediately after the "g4debug block"

##
## g4analysis
##
##+
#if [ Xy = Xy ] ; then
#G4ANALYSIS_USE=1
#export G4ANALYSIS_USE
#if [ X$g4non_display = X ] ; then
#echo "On this machine the G4ANALYSIS_USE=$G4ANALYSIS_USE"
#fi
#fi

(take out the comment in front of each line, I used it in my message just to have a readable code)

I saw there is a new file called analysis.gmk in $G4INSTALL/config directory. I am thinking whatever changes were done with respect to data analysis support they were not finalized and reflected properly in the ./Configure file.

I believe this is a bug but I need your input before I submit the report.

Thank you,

Dragos

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Note: Re: $G4ANALYSIS_USE remains unset for a fresh Geant4.9.3 installation   (Ben Morgan - 15 Apr, 2010)
(_ None: Re: $G4ANALYSIS_USE remains unset for a fresh Geant4.9.3 installation   (Dragos Constantin - 15 Apr, 2010)
 Add Message Add Message
to: "$G4ANALYSIS_USE remains unset for a fresh Geant4.9.3 installation"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]